import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { INode, JWTToken, User } from 'entities';
import { AuthService, AuthLocalService, AuthJwtService } from 'services/auth';
import FileSystemService from 'services/filesystem';
import AuthController from 'controller/auth';
import UserController from 'controller/user';
import AdminController from 'controller/admin';

@Module({
	imports: [TypeOrmModule.forFeature([User, INode, JWTToken])],
	providers: [
		AuthService,
		AuthLocalService,
		AuthJwtService,
		FileSystemService
	],
	controllers: [AuthController, UserController, AdminController]
})
export default class AuthModule {}
